<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>GZIPSheetDataWriter (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="GZIPSheetDataWriter (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/GZIPSheetDataWriter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html"
               title="class in org.apache.poi.xssf.streaming"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/streaming/GZIPSheetDataWriter.html" target="_top">Frames</a>
        </li>
        <li><a href="GZIPSheetDataWriter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.streaming</div>
    <h2 title="Class GZIPSheetDataWriter" class="title">Class GZIPSheetDataWriter</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html"
                       title="class in org.apache.poi.xssf.streaming">org.apache.poi.xssf.streaming.SheetDataWriter</a>
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xssf.streaming.GZIPSheetDataWriter</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Closeable, java.lang.AutoCloseable</dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">GZIPSheetDataWriter</span>
extends <a href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html"
           title="class in org.apache.poi.xssf.streaming">SheetDataWriter</a></pre>
                <div class="block">Sheet writer that supports gzip compression of the temp files.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/GZIPSheetDataWriter.html#GZIPSheetDataWriter--">GZIPSheetDataWriter</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/GZIPSheetDataWriter.html#GZIPSheetDataWriter-org.apache.poi.xssf.model.SharedStringsTable-">GZIPSheetDataWriter</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/model/SharedStringsTable.html"
                                        title="class in org.apache.poi.xssf.model">SharedStringsTable</a>&nbsp;sharedStringsTable)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.io.File</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/GZIPSheetDataWriter.html#createTempFile--">createTempFile</a></span>()</code>
                                    <div class="block">Create a temp file to write sheet data.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected java.io.InputStream</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/GZIPSheetDataWriter.html#decorateInputStream-java.io.FileInputStream-">decorateInputStream</a></span>(java.io.FileInputStream&nbsp;fis)</code>
                                    <div class="block">Override this to translate (such as decrypt or expand) the file
                                        input stream
                                        as it is being read from disk.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected java.io.OutputStream</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/GZIPSheetDataWriter.html#decorateOutputStream-java.io.FileOutputStream-">decorateOutputStream</a></span>(java.io.FileOutputStream&nbsp;fos)</code>
                                    <div class="block">Override this to translate (such as encrypt or compress) the file
                                        output stream
                                        as it is being written to disk.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xssf.streaming.SheetDataWriter">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xssf.streaming.<a
                                        href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html"
                                        title="class in org.apache.poi.xssf.streaming">SheetDataWriter</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#close--">close</a>,
                                    <a href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#createWriter-java.io.File-">createWriter</a>,
                                    <a href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#finalize--">finalize</a>,
                                    <a href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#getLastFlushedRow--">getLastFlushedRow</a>,
                                    <a href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#getLowestIndexOfFlushedRows--">getLowestIndexOfFlushedRows</a>,
                                    <a href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#getNumberOfCellsOfLastFlushedRow--">getNumberOfCellsOfLastFlushedRow</a>,
                                    <a href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#getNumberOfFlushedRows--">getNumberOfFlushedRows</a>,
                                    <a href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#getTempFile--">getTempFile</a>,
                                    <a href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#getWorksheetXMLInputStream--">getWorksheetXMLInputStream</a>,
                                    <a href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#outputQuotedString-java.lang.String-">outputQuotedString</a>,
                                    <a href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#writeCell-int-org.apache.poi.ss.usermodel.Cell-">writeCell</a>,
                                    <a href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#writeRow-int-org.apache.poi.xssf.streaming.SXSSFRow-">writeRow</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="GZIPSheetDataWriter--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>GZIPSheetDataWriter</h4>
                                <pre>public&nbsp;GZIPSheetDataWriter()
                    throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="GZIPSheetDataWriter-org.apache.poi.xssf.model.SharedStringsTable-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>GZIPSheetDataWriter</h4>
                                <pre>public&nbsp;GZIPSheetDataWriter(<a
                                        href="../../../../../org/apache/poi/xssf/model/SharedStringsTable.html"
                                        title="class in org.apache.poi.xssf.model">SharedStringsTable</a>&nbsp;sharedStringsTable)
                    throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>sharedStringsTable</code> - the shared strings table, or null if inline
                                        text is used
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createTempFile--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createTempFile</h4>
                                <pre>public&nbsp;java.io.File&nbsp;createTempFile()
                            throws java.io.IOException</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#createTempFile--">SheetDataWriter</a></code></span>
                                </div>
                                <div class="block">Create a temp file to write sheet data.
                                    By default, temp files are created in the default temporary-file directory
                                    with a prefix "poi-sxssf-sheet" and suffix ".xml". Subclasses can override
                                    it and specify a different temp directory or filename or suffix, e.g.
                                    <code>.gz</code></div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#createTempFile--">createTempFile</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html"
                                                title="class in org.apache.poi.xssf.streaming">SheetDataWriter</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>temp file to write sheet data</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="decorateInputStream-java.io.FileInputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>decorateInputStream</h4>
                                <pre>protected&nbsp;java.io.InputStream&nbsp;decorateInputStream(java.io.FileInputStream&nbsp;fis)
                                           throws java.io.IOException</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#decorateInputStream-java.io.FileInputStream-">SheetDataWriter</a></code></span>
                                </div>
                                <div class="block">Override this to translate (such as decrypt or expand) the file input
                                    stream
                                    as it is being read from disk.
                                    The default behavior is to to pass the stream through unmodified.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#decorateInputStream-java.io.FileInputStream-">decorateInputStream</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html"
                                                title="class in org.apache.poi.xssf.streaming">SheetDataWriter</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>fis</code> - the stream to decorate</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a decorated stream</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#decorateOutputStream-java.io.FileOutputStream-"><code>SheetDataWriter.decorateOutputStream(FileOutputStream)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="decorateOutputStream-java.io.FileOutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>decorateOutputStream</h4>
                                <pre>protected&nbsp;java.io.OutputStream&nbsp;decorateOutputStream(java.io.FileOutputStream&nbsp;fos)
                                             throws java.io.IOException</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#decorateOutputStream-java.io.FileOutputStream-">SheetDataWriter</a></code></span>
                                </div>
                                <div class="block">Override this to translate (such as encrypt or compress) the file
                                    output stream
                                    as it is being written to disk.
                                    The default behavior is to to pass the stream through unmodified.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#decorateOutputStream-java.io.FileOutputStream-">decorateOutputStream</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html"
                                                title="class in org.apache.poi.xssf.streaming">SheetDataWriter</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>fos</code> - the stream to decorate</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a decorated stream</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#decorateInputStream-java.io.FileInputStream-"><code>SheetDataWriter.decorateInputStream(FileInputStream)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/GZIPSheetDataWriter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev&nbsp;Class</li>
        <li><a href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html"
               title="class in org.apache.poi.xssf.streaming"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/streaming/GZIPSheetDataWriter.html" target="_top">Frames</a>
        </li>
        <li><a href="GZIPSheetDataWriter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
